Foros del Web » Programando para Internet » PHP »

[SOLUCIONADO] PHP OO usando la palabra reservada "use" de php

Estas en el tema de usando la palabra reservada "use" de php en el foro de PHP en Foros del Web. Conseguí un ejemplo de un script de facebook que me interesa que usa la palabra reservada "use" de php, el problema es que no lo ...
  #1 (permalink)  
Antiguo 30/12/2014, 17:51
hmv
 
Fecha de Ingreso: abril-2005
Mensajes: 320
Antigüedad: 14 años, 7 meses
Puntos: 0
Busqueda usando la palabra reservada "use" de php

Conseguí un ejemplo de un script de facebook que me interesa que usa la palabra reservada "use" de php, el problema es que no lo reconoce mi localhost, sale error(syntax error, unexpected T_STRING, expecting T_CONSTANT_ENCAPSED_STRING).
Yo uso WebServ(apache 2.2.3 y php 5.2.0), leí por ahí que funciona con php >=5.3.0, pero mi cPanel usa php 5.4.24 y tampoco funciona. Me descargue el XAMPP que usa php 5.4.31, y funciona perfectamente, no entiendo pq sale este error.

Código PHP:
use FacebookFacebookSession;
use 
FacebookFacebookRedirectLoginHelper;
use 
FacebookFacebookRequest;
use 
FacebookFacebookResponse;
use 
FacebookGraphUser;
use 
FacebookGraphObject;
use 
FacebookFacebookRequestException
O existe alguna manera de reemplazar use con require o include

Gracias.
  #2 (permalink)  
Antiguo 30/12/2014, 18:05
Avatar de marlanga  
Fecha de Ingreso: enero-2011
Ubicación: Murcia
Mensajes: 1.024
Antigüedad: 8 años, 10 meses
Puntos: 206
Respuesta: usando la pabra reservada "use" de php

use en ese contexto es para cargar namespaces. Necesitan PHP 5.3 o superior para funcionar. No hay más.
  #3 (permalink)  
Antiguo 30/12/2014, 18:37
hmv
 
Fecha de Ingreso: abril-2005
Mensajes: 320
Antigüedad: 14 años, 7 meses
Puntos: 0
Respuesta: usando la pabra reservada "use" de php

Como comente, mi cPanel usa php 5.4.24 y tampoco funciona
  #4 (permalink)  
Antiguo 30/12/2014, 19:15
Avatar de hhs
hhs
Colaborador
 
Fecha de Ingreso: junio-2013
Ubicación: México
Mensajes: 2.995
Antigüedad: 6 años, 5 meses
Puntos: 379
Respuesta: usando la pabra reservada "use" de php

ya hiciste un phpinfo en tu sitio para ver si realmente estas usando php 5.4
__________________
Saludos
About me
Laraveles
A class should have only one reason to change.
  #5 (permalink)  
Antiguo 31/12/2014, 13:51
hmv
 
Fecha de Ingreso: abril-2005
Mensajes: 320
Antigüedad: 14 años, 7 meses
Puntos: 0
Respuesta: usando la palabra reservada "use" de php

hhs, tenias razón, acabo de hacer un phpinfo y sale q realmente tiene 5.217, yo solo vi que en las caracteristicas de mi servidor ponia 5.4, no lo verifique.

Ahora espero que se pueda cambiar en el cPanel, ya que es un hosting compartido.

Gracias

Etiquetas: usando
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 11:57.